package com.prolog.eis.service.shelves;

import com.prolog.cs.basic.item.model.vo.ItemBarCodeVO;
import com.prolog.cs.basic.item.model.vo.ItemBaseInfoVO;
import com.prolog.eis.dto.item.ItemSyncVO;

import java.util.List;

public interface ItemService {

    List<ItemSyncVO> queryItemMst(List<String> itemIds)  throws Exception;

    ItemBarCodeVO queryItemByBarCode(String code) throws Exception;

    List<ItemBarCodeVO> queryItemListByBarCode(String code) throws Exception;

    List<ItemBarCodeVO> queryItemListAllByBarCode(String code) throws Exception;

    List<ItemSyncVO> getItemByBarcode(String barCode);

    List<ItemBaseInfoVO> getItemByName(String itemName);
}
